org.appng.openapi.model

## Class Parameter

- java.lang.Object
- - org.appng.openapi.model.Parameter

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class Parameter
      extends Object

  A single parameter.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_NAME`
    `static String` | `JSON_PROPERTY_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parameter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getName()` The name of the parameter.
    `String` | `getValue()` The value of the parameter.
    `int` | `hashCode()`
    `Parameter` | `name(String name)`
    `void` | `setName(String name)`
    `void` | `setValue(String value)`
    `String` | `toString()`
    `Parameter` | `value(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_NAME

          public static final String JSON_PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_VALUE

          public static final String JSON_PROPERTY_VALUE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Parameter

          public Parameter()

  - ### Method Detail

    - #### name

          public Parameter name(String name)

    - #### getName

          public String getName()

      The name of the parameter.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### value

          public Parameter value(String value)

    - #### getValue

          @Nullable
          public String getValue()

      The value of the parameter.
      Returns:
        value

    - #### setValue

          public void setValue(String value)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.